Subject: [Lsvr] Kicking off the LSVR (Link State Vector Routing) charter discussion

From: Bhav Par <[email-masked]>
Date: Sun, 21 Jan 2018 18:27:33 -0800

+1 on Support for below charter, looking forward to contributing

regards,
Bhavani

Re: [Lsvr] Kicking off the LSVR (Link State Vector Routing) charter
discussion

Pushpasis Sarkar <[email-masked]> Thu, 18 January 2018 17:22 UTCShow
header
<https://mailarchive.ietf.org/arch/msg/lsvr/3_AXicjtLLSH-u9V_LVwWSar9a8#>

Hi All,

I went through the charter details, and it seems to be in a quite good
state to get things started. Hoping we can accommodate some changes
here and there (if at all needed).

Looking forward to contributing more on this soon.

Thanks and regards,

-Pushpasis

> On 1/10/18 5:50 AM, Van De Velde, Gunter (Nokia - BE/Antwerp) wrote:
>
> [Note: Target audience, and discussions should happen on
> [email-masked], however "rtgwg", "idr" and "dcrouting" email lists have
> been added as the concepts originated in those working groups]
>
> Since dcrouting@ietf100, a few people have been discussing a possible WG
> charter for LSVR (Link State Vector Routing).
> Here is what we have so far.  Comments and improvements would be most
> welcome.
>
> WG page is to be setup soon.
> Subscription to LSVR mailing list:
> https://www.ietf.org/mailman/listinfo/lsvr
>
> Feedback (comments, edits, corrections, etc)  on the draft LSVR
> charter is appreciated
>
>
> ***** DRAFT CHARTER UPDATE - JAN 10 2018 *****
>   Charter: LSVR - Link State Vector Routing
>   The Link-State Vector Routing (LSVR) Working Group is chartered to
> develop and document a hybrid routing protocol utilizing a combination of
> link-state and path-vector routing mechanisms.  The LSVR WG will utilize
> existing the IPv4/IPv6 transport, packet formats, and error handling from
> BGP-4 (RFC4271). Additionally, the BGP-LS NLRI encoding mechanisms defined
> in RFC7752 are utilized to facilitate Link-State Vector (LSV) routing
> information distribution. An LSV is intended to be specified as a data
> structure comprised of a link identification, link attributes, neighbor
> information, cost toward neighbors, and other attributes that are defined
> for control plane function and policy-based routing decisions.
>   The LSVR specification is initially focused on operation within a
> single datacenter (DC) with preliminary focus on specifying functionality
> within a single distribution domain.  Routing protocol functionality defined
> by LSVR would be typically routing within a datacenter's underlay routing
> plane.
>   In order to achieve the noted objective, the working group will focus
> on standardization of protocol functionality, defining Link-State Vectors
> (LSVs), and defining standard path-vector route selection utilizing existing
> Dijkstra SPF based algorithm, BGP-4 protocol mechanics, and BGP-LS NRLI
> encoding.
>   For the purposes of the initial work within the LSVR WG, and until
> further specified by the WG, the following definitions apply to this
> charter.
>   - Link-State Vector - An LSV is intended to represent a data structure
> (data set) comprised of link identification, link attributes, neighbor
> information, cost towards neighbors, and other potential attributes that can
> be utilized to make routing decisions.
> - LSVR Distribution Domain - Initially scoped as a set of participating
> LSVR nodes in a single administrative domain.
>      The LSVR WG is chartered to deliver the following documents:
>   - Publish Applicability Statement for the use of LSVR in the
> Datacenter - Target Status: Informational
> - Publish specification document describing LSV with standard Dijkstra
> SPF route/path selection (calculation) utilizing existing BGP protocol
> baseline functionality and BGP-LS packet encoding formats - Target:
> Standards Track (Based on draft draft-keyupate-idr-bgp-spf)
> - Publish specification documenting protocol extensions required to
> efficiently reuse BGP to distribute LSVs within an IPv4/IPv6 DC with
> scope to include privacy and security considerations - - Target:
> Standards Track
> - Publish YANG model specification for LSVR - - Target: Standards
> Track
>   LSVR Milestones:
>   - Applicability statement for LSVR in DCs: March 2019
> - LSVR with standard Dijkstra path selection: March 2019
> - LSV distribution using BGP transport: March 2019
> - YANG specification for LSRV: July 2019
>
> _______________________________________________
> rtgwg mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/rtgwg
>

_______________________________________________
Lsvr

References:

   - Re: [Lsvr] Kicking off the LSVR (Link State Vector Routing) charter
   discussion
   <https://mailarchive.ietf.org/arch/msg/lsvr/ejhm_8H4TD94810i-_QC6yI1bxM>
   Victor Kuarsingh <[email-masked]> <[email-masked]&gt>;

   -